GET /v1/organizations/{orgId}/database/tables/{tableName}
Get table schema (columns) from the org's database
GET
/v1/organizations/{orgId}/database/tables/{tableName}
Get table schema (columns) from the org's database
Path Parameters
orgId
string
required
path
Organization ID
tableName
string
required
path
Table name
Responses
200
OK
application/jsoncolumns
object[]
Array of:
defaultValue
unknown
name
string
notNull
boolean
primaryKey
boolean
type
string
400
Bad Request
404
Not Found
curl -X GET 'https://api.example.com/v1/organizations/string/database/tables/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/organizations/string/database/tables/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/organizations/string/database/tables/string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/organizations/string/database/tables/string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "columns": [ { "defaultValue": "<unknown>", "name": "<string>", "notNull": true, "primaryKey": true, "type": "<string>" } ]}
API Playground
Try this endpoint
GET
/v1/organizations/{orgId}/database/tables/{tableName}
